## rtmpdump 1.9-1

=== Makefile ===
CC=$(CROSS_COMPILE)gcc
CXX=$(CROSS_COMPILE)g++
LD=$(CROSS_COMPILE)ld

OPT=-O2
CFLAGS=-Wall $(XCFLAGS) $(INC) $(OPT)
CXXFLAGS=-Wall $(XCFLAGS) $(INC) $(OPT)
LDFLAGS=-Wall $(XLDFLAGS)
LIBS=-lcrypto
THREADLIB=-lpthread
SLIBS=$(THREADLIB) $(LIBS)

EXT=

#all:
#	@echo 'use "make linux" for a native Linux build, or'
#	@echo '    "make osx"   for a native OSX build, or'
#	@echo '    "make mingw" for a MinGW32 build, or'
#	@echo '    "make cygwin" for a CygWin build, or'
#	@echo '    "make arm"   for a cross-compiled Linux ARM build'

progs:	rtmpdump streams

default_target:  @$(MAKE) $(MAKEFLAGS) progs

linux:
	@$(MAKE) $(MAKEFLAGS) progs

osx:
	@$(MAKE) XCFLAGS="-arch ppc -arch i386" $(MAKEFLAGS) progs

mingw:
	@$(MAKE) CROSS_COMPILE=mingw32- LIBS="-lws2_32 -lwinmm -lcrypto -lgdi32" THREADLIB= EXT=.exe $(MAKEFLAGS) progs

cygwin:
	@$(MAKE) XCFLAGS=-static XLDFLAGS="-static-libgcc -static" EXT=.exe $(MAKEFLAGS) progs

arm:
	@$(MAKE) CROSS_COMPILE=armv7a-angstrom-linux-gnueabi- INC=-I/OE/tmp/staging/armv7a-angstrom-linux-gnueabi/usr/include $(MAKEFLAGS) progs

install: install_bins

install_bins: 
	mkdir $(DESTDIR)/opt/
	mkdir $(DESTDIR)/opt/rtmpdump/
	cp rtmpdump $(DESTDIR)/opt/rtmpdump/
	cp streams $(DESTDIR)/opt/rtmpdump/
	ln -s /opt/rtmpdump/rtmpdump $(DESTDIR)/usr/bin/rtmpdump
	ln -s /opt/rtmpdump/streams $(DESTDIR)/usr/bin/streams

uninstall: 
	rm /usr/bin/rtmpdump
	rm /usr/bin/streams
	rm /opt/rtmpdump/rtmpdump
	rm /opt/rtmpdump/streams


clean:
	rm -f *.o rtmpdump$(EXT) streams$(EXT)

streams: bytes.o log.o rtmp.o AMFObject.o rtmppacket.o streams.o parseurl.o dh.o handshake.o
	$(CXX) $(LDFLAGS) $^ -o $@$(EXT) $(SLIBS)

rtmpdump: bytes.o log.o rtmp.o AMFObject.o rtmppacket.o rtmpdump.o parseurl.o dh.o handshake.o
	$(CXX) $(LDFLAGS) $^ -o $@$(EXT) $(LIBS)

bytes.o: bytes.c bytes.h Makefile
log.o: log.c log.h Makefile
rtmp.o: rtmp.cpp rtmp.h log.h AMFObject.h Makefile
AMFObject.o: AMFObject.cpp AMFObject.h log.h rtmp.h Makefile
rtmppacket.o: rtmppacket.cpp rtmppacket.h log.h Makefile
rtmpdump.o: rtmpdump.cpp rtmp.h log.h AMFObject.h Makefile
parseurl.o: parseurl.c parseurl.h log.h Makefile
streams.o: streams.cpp rtmp.h log.h Makefile
dh.o: dh.c dh.h log.h Makefile
handshake.o: handshake.cpp rtmp.h log.h Makefile

=== debian/changelog ===
rtmpdump (1.9-1) unstable; urgency=low

  * Initial release - packaged for Maemo5

 -- Rip <info@the-mesh.org>  Mon, 25 Jan 2010 20:51:16 +0930

=== debian/control ===
Source: rtmpdump
Section: user/multimedia
Priority: extra
Maintainer: Rip <info@the-mesh.org>
Build-Depends: debhelper (>= 5), libssl-dev
Standards-Version: 3.7.2

Package: rtmpdump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Maemo-Display-Name: rtmpdump
XB-Description: rtmpdump - Program to dump rtmp streams
XSBC-Original-Maintainer: Andrej Stepanchuk;Howard Chu;The Flvstreamer Team
XSBC-Bugtracker: http://rtmpdump.mplayerhq.hu/
XB-Maemo-Icon-26:  
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBGQs5EHBm1nMAAAbXSURBVFjD7VldiF1XFf7W2uec+zeTmXTyQ0Yw
 hZEq1aQJQiiUioLUagUpkr6kRWrRB30v+KzgiyL+oA8mpYK2lVoICAqilVis
 ltbaKgmxtW3GRDOTTGh+5t6Z2Xv9+LDPvXPnTsCk+UWyH87d93Lv3t/51vet
 tfa55O64mQbjJhu3AN0CdKWjcHciilGAG2M3dxCRqrRaTXcv8pvDh99JSQC6
 /oCIqNtdPHVqbu/eTxNxAeD06dMpRXdyR1WV1zMxEUHVZmePmenCwsLmzVsK
 AGauakR84MAPn3nmyRACEQEAoZ7U5F6tGPlgoqr79j22Z8897mbmAIoM00wB
 lGU5Pr6hKAoOTETMlCklwB1+xZjcPUs2T8xMRIqiNDPAalHnFzNzh5mHEMqq
 ZGZmcAi6UnMUmm7qMHKA/D2KLXOT0fQ3dXdXNcDyRjUgVQPczNTUVJlBzOVk
 d9/TKXZpcR7PPdxqjgWzPt9+RSrOUMxMVfOVaJQhdSeHBWYuKBShqGh6N6UL
 rJGk59O7cP44a4LbVRDTABMzZ2CDRXnAkKq6OwcOIXDAPY8vffQLZpHZaWIb
 f/LrsRyLzERElK9XMHhoZGmbrWGI3M0MpqYqquF9d69MzogFpBXERZ8/YtO7
 WRkpBc9R86vgtSxqVTMz7peMop8MVBXmRszE2Hi7lw2C04nX7A/fgkmxvCit
 Dlotsixn6mNyMkGo3ktbldlyz8HJi65xmbs7E4VAHIiJHehMhInbWi5sG1wV
 sDoL1JiA1pTd/nE58mzFl1kVzawPKLusXndVQyKqSUVlZVnO/CvFpKK66cP6
 iW8sbvrIMkoxkySSYionIorUmIqiqbUptaakcVssJyLKhCJVk7GajIaEIlUb
 Y7khiqSUUoqpmojcSI2NsRiPaiJJVFVEzTQnwjUuM3ODkxMxvXOINt2hOz5X
 xh7Gt/i9j6dTh/WlH5Xd+ZAW/YHvLc2+EFzptZ8UH7jPxqf9Q5+1lUUKlU1s
 t+5Jbk156sIB6dHEdjt2KLz9fKERe5/qHf1lkXpUtv3Mm/TGr4m0ZmjA+2rI
 srhARCBG85X9y7MvLX/sq83OFFvC1jux6xF54ZscCtaIN35VnjvGXOBvPyvv
 +Iy8+kQFYPejcfZQefzFAMKDT/Z++7XW+RNUdvz+by+/9ZuSGUtn6ejB8vwJ
 rsb8rkdic5JkIQNSIh62PdW2N0tJUhRTg5Vzrzaeemzp6PPRyGLU7ffKUm8l
 SSLG/BFTTyklNTE30SSaHHbqHyqaeucEwPxRVU8XTmnZ8RQlJZFlzB810dQ7
 K2nJETQlyZ53tzV5yEzNzMyIiZlcmaxoNhtjrfG/Px2KipgIRsTgrF53NRUV
 VTW1lERE8rrunosg99MVgDp1Map2zmNMgeC1y3LGzjbhQQ8goubOICK688F4
 91dkaoYI5a6HChdicFHwoPwnEVNzc1NvbIApUg+gHHrNOYA5J8C6QjNTc9J3
 7FVPtHWHtTZ66jJR7jXWidpdzVRVRYUTo9SZT9nM/YkImpAEoaC/PhfNyxS9
 exrUt+nSWaws+sPPencB//wdXOHuIql7GiIJCSLoLkA0wREXCUE//1N5d5Ze
 /C4tXZAsFVVjptHimu+MiCjgzNt2/GVqbKDNMwGO5Xftzd/H13+OshmI/Rdf
 RNWpK75G/9P36Y/fARihABcAednBwS8XVQfuqDo4+KWy0fHYJV3RP/+geGU/
 iBEqJ9J+HtIQ1rnMTHO1Y8KJl+k/r+vENnrox0XqYeUc/eUJbrYqosItlW0M
 +g8iKpqjPTIcVWegHzTG8hdRtlE2qRqrv+ZaJ8ZhUQ/b3lVUkhCIi4AY4gU7
 e1LSElaW4FKowJH8f5WxvIeIjJ5vGjhwH1ftlBKGNs0uU1VeU1xVVVVyyAAQ
 mIjOzcn+BxIRQDS+sQnQpXSNddzpIi1c1a6pyqAHdV1VzcKa4mqWecvKIDjB
 qVE2Gpsa66vhoMOmfKmvq1B4INFLKq6eu7SR4iqZJFVdhT+ypq/W1IHLgJw/
 6l8MmuVLrK+6OsKIy1zVhs8DvL58X/yeaf19X+7Zw/0iolZVMfPhvu5yT1iX
 26DlXXJiVLX1tq8JBMDMOXbX7Pjsa0Nmoy1s/niYxtU+7KrCylsMuQz9nlpH
 XGbDMEeOUVcL03CfO5j3ebLRFjbLKKU0CNa1Dtmgz7+IqHMYt2yZ3rlzz1Cw
 ruEjmAGyrVunRVR17ckVoLm5k0Rh27b3X/8nRClFs8YqQ8w8N/fvubmTzHxp
 Ke1ajKGQpSS7d39wx46ZG/gkryyrGFMNqN1u79x5l904cnKU2u02AMoHtpvk
 iae7062/Fm4B+n8D9F8CoFTfIuoyYgAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/rtmpdump.sgml > rtmpdump.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rtmpdump.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rtmpdump install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rtmpdump 2.4~20110711.gitc28f1bab

=== librtmp/Makefile ===
VERSION=v2.4

prefix=/usr/local

incdir=$(prefix)/include/librtmp
bindir=$(prefix)/bin
libdir=$(prefix)/lib
mandir=$(prefix)/man
BINDIR=$(DESTDIR)$(bindir)
INCDIR=$(DESTDIR)$(incdir)
LIBDIR=$(DESTDIR)$(libdir)
MANDIR=$(DESTDIR)$(mandir)

CC=$(CROSS_COMPILE)gcc
LD=$(CROSS_COMPILE)ld
AR=$(CROSS_COMPILE)ar

SYS=posix
CRYPTO=OPENSSL
#CRYPTO=GNUTLS
DEF_POLARSSL=-DUSE_POLARSSL
DEF_OPENSSL=-DUSE_OPENSSL
DEF_GNUTLS=-DUSE_GNUTLS
DEF_=-DNO_CRYPTO
REQ_GNUTLS=gnutls
REQ_OPENSSL=libssl,libcrypto
LIBZ=-lz
LIBS_posix=
LIBS_darwin=
LIBS_mingw=-lws2_32 -lwinmm -lgdi32
LIB_GNUTLS=-lgnutls -lgcrypt $(LIBZ)
LIB_OPENSSL=-lssl -lcrypto $(LIBZ)
LIB_POLARSSL=-lpolarssl $(LIBZ)
PRIVATE_LIBS=$(LIBS_$(SYS))
CRYPTO_LIB=$(LIB_$(CRYPTO)) $(PRIVATE_LIBS)
CRYPTO_REQ=$(REQ_$(CRYPTO))
CRYPTO_DEF=$(DEF_$(CRYPTO))

SO_VERSION=0
SOX_posix=so
SOX_darwin=dylib
SOX_mingw=so	# useless
SOX=$(SOX_$(SYS))
SO_posix=$(SOX).$(SO_VERSION)
SO_darwin=$(SO_VERSION).$(SOX)
SO_mingw=dll
SO_EXT=$(SO_$(SYS))

SODIR_posix=$(LIBDIR)
SODIR_darwin=$(LIBDIR)
SODIR_mingw=$(BINDIR)
SODIR=$(SODIR_$(SYS))

SO_LDFLAGS_posix=-shared -Wl,-soname,$@
SO_LDFLAGS_darwin=-dynamiclib -flat_namespace -undefined suppress -fno-common \
	-headerpad_max_install_names
SO_LDFLAGS_mingw=-shared
SO_LDFLAGS=$(SO_LDFLAGS_$(SYS))

SHARED=yes
SODEF_yes=-fPIC
SOLIB_yes=librtmp.$(SO_EXT)
SOINST_yes=install_so
SO_DEF=$(SODEF_$(SHARED))
SO_LIB=$(SOLIB_$(SHARED))
SO_INST=$(SOINST_$(SHARED))

DEF=-DRTMPDUMP_VERSION=\"$(VERSION)\" $(CRYPTO_DEF) $(XDEF)
OPT=-O2
CFLAGS=-Wall $(XCFLAGS) $(INC) $(DEF) $(OPT) $(SO_DEF)
LDFLAGS=$(XLDFLAGS)


OBJS=rtmp.o log.o amf.o hashswf.o parseurl.o

all:	librtmp.a $(SO_LIB)

clean:
	rm -f *.o *.a *.$(SOX) *.$(SO_EXT)

librtmp.a: $(OBJS)
	$(AR) rs $@ $?

librtmp.$(SO_EXT): $(OBJS)
	$(CC) $(SO_LDFLAGS) $(LDFLAGS) -o $@ $^ $> $(CRYPTO_LIB)
	ln -sf $@ librtmp.$(SOX)

log.o: log.c log.h Makefile
rtmp.o: rtmp.c rtmp.h rtmp_sys.h handshake.h dh.h log.h amf.h Makefile
amf.o: amf.c amf.h bytes.h log.h Makefile
hashswf.o: hashswf.c http.h rtmp.h rtmp_sys.h Makefile
parseurl.o: parseurl.c rtmp.h rtmp_sys.h log.h Makefile

librtmp.pc: librtmp.pc.in Makefile
	sed -e "s;@prefix@;$(prefix);" -e "s;@libdir@;$(libdir);" \
		-e "s;@VERSION@;$(VERSION);" \
		-e "s;@CRYPTO_REQ@;$(CRYPTO_REQ);" \
		-e "s;@PRIVATE_LIBS@;$(PRIVATE_LIBS);" librtmp.pc.in > $@

install:	install_base $(SO_INST)

install_base:	librtmp.a librtmp.pc
	-mkdir -p $(INCDIR) $(LIBDIR)/pkgconfig $(MANDIR)/man3
	cp amf.h http.h log.h rtmp.h $(INCDIR)
	cp librtmp.a $(LIBDIR)
	cp librtmp.pc $(LIBDIR)/pkgconfig
	cp librtmp.3 $(MANDIR)/man3

install_so:	librtmp.$(SO_EXT)
	cp librtmp.$(SO_EXT) $(SODIR)
	cd $(SODIR); ln -sf librtmp.$(SO_EXT) librtmp.$(SOX)

=== debian/changelog ===
rtmpdump (2.4~20110711.gitc28f1bab-1ubuntu0.1) precise-security; urgency=medium

  [Marc Deslauriers]
  * SECURITY UPDATE: denial of service in AMF3ReadString function
    - debian/patches/CVE-2015-8270.patch: init str on unsupported
      references in librtmp/amf.c.
    - CVE-2015-8270
  * SECURITY UPDATE: arbitrary code execution in AMF3CD_AddProp function
    - debian/patches/CVE-2015-8271-1.patch: check for input buffer underrun
      in librtmp/amf.c.
    - debian/patches/CVE-2015-8271-2.patch: more input buffer checks in
      librtmp/amf.c.
    - CVE-2015-8271
  * SECURITY UPDATE: denial of service via null pointer dereference
    - debian/patches/CVE-2015-8272.patch: ignore requests without playpath
      in rtmpsrv.c.
    - CVE-2015-8272

 -- Emily Ratliff <emily.ratliff@canonical.com>  Fri, 19 May 2017 08:34:49 -0500

rtmpdump (2.4~20110711.gitc28f1bab-1) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Fix previous changelog entry.
  * Fix debian/watch to scan for .tgz as well as .tar.gz file extensions.
  * Remove myself from Uploaders.

  [ Andres Mejia ]
  * Build depend on libgnutls-dev >= 2.4.1.

  [ Alessio Treglia ]
  * New upstream release (Closes: #637867):
    - Add RTMPE type 9 handshake support.
  * Switch packaging to source format 3.0 (quilt).
  * Enable multiarch (Closes: #637861).
    Thanks to Steve Langasek for the patch!
  * Refresh 01_unbreak_makefile.diff
  * Drop patches applied upstream:
    - 02_strtime-visibility.patch
    - 03-Dont-link-explicitly-against-static-library.patch
  * debian/control:
    - Correct team's name in the Maintainer field.
    - Correct small error in the description, URL should be
      capitalized (Closes: #616461).
    - Description should not start with an article.
  * Update debian/copyright.
  * Add gbp config file.
  * Add simple script to prepare release tarballs from upstream's git.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Aug 2011 12:16:03 +0200

rtmpdump (2.3-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * make librtmp-dev depend on librtmp0

  [ Andres Mejia ]
  * Move ${misc:Depends} as last entry in Depends field of librtmp-dev.

  [ Fabian Greffrath ]
  * debian/patches/03-Dont-link-explicitly-against-static-library.patch:
    New patch from upstream SVN (slightly modified) to avoid explicit
    linking against the static library.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Aug 2010 08:59:47 -0400

rtmpdump (2.3-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/02_fix_gnutls_teardown.diff:
      - Dropped, merged upstream.
    + debian/librtmp0.install,
      debian/librtmp0.symbols,
      debian/control,
      debian/librtmp-dev.install,
      debian/rules:
      - Add shared library package.
    + debian/patches/01_unbreak_makefile.diff:
      - Refreshed and fixed the clean rule too.
    + debian/patches/02_strtime-visibility.patch:
      - Hide the private strtime symbol by making it static
        to prevent any symbol conflicts.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Jul 2010 19:57:14 +0200

rtmpdump (2.2e-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Add Vcs-* fields to debian/control.
  * Fix typo in librtmp-dev package description.
  * Fix debhelper 7 usage as per dh(1) manpage.

  [ Reinhard Tartler ]
  * librtmp is built against gnutls, so depend on libgnutls headers
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Jun 2010 13:44:16 +0200

rtmpdump (2.2e-3) unstable; urgency=low

  * Build with -fPIC to allow linking of the library into shared libraries,
    e.g. ffmpeg (Closes: #585000).
  * Use new Free Software Foundation address in debian/copyright.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jun 2010 11:24:05 +0200

rtmpdump (2.2e-2) unstable; urgency=low

  * update debian/copyright after consulting upstream

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 03 Jun 2010 20:53:02 +0200

rtmpdump (2.2e-1) unstable; urgency=low

  * New upstream release.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 May 2010 21:41:50 +0200

rtmpdump (2.2d-1) unstable; urgency=low

  * Initial release (Closes: #529974) 

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 May 2010 17:07:16 +0200

=== debian/control ===
Source: rtmpdump
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Sebastian Dröge <slomo@debian.org>
Build-Depends:
 debhelper (>= 8.1.3),
 libgnutls-dev (>= 2.4.1)
Standards-Version: 3.9.2
Section: web
Vcs-Git: git://git.debian.org/git/pkg-multimedia/rtmpdump.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rtmpdump.git;a=summary
Homepage: http://rtmpdump.mplayerhq.hu/

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, mplayer
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an rtmp URL will result in a dumped
 flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

Package: librtmp0
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an rtmp URL will result in a dumped
 flv file, which can be played/transcoded using ffmpeg/mplayer, etc.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: libdevel
Depends: libgnutls-dev, librtmp0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an rtmp URL will result in a dumped
 flv file, which can be played/transcoded using ffmpeg/mplayer, etc.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.

## rtmpdump 2.4%2B20121230.gitdf6c518

=== debian/control ===
Source: rtmpdump
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Sebastian Dröge <slomo@debian.org>
Build-Depends:
 debhelper (>= 8.1.3),
 libgnutls-dev (>= 2.4.1)
Standards-Version: 3.9.2
Section: web
Vcs-Git: git://git.debian.org/git/pkg-multimedia/rtmpdump.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rtmpdump.git;a=summary
Homepage: http://rtmpdump.mplayerhq.hu/

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, mplayer
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.

Package: librtmp0
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: libdevel
Depends: libgnutls-dev, librtmp0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.

## rtmpdump 2.4%2B20151223.gitfa8646d.1

=== debian/changelog ===
rtmpdump (2.4+20151223.gitfa8646d.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/: Bump debhelper compat level to 11.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 May 2018 15:33:27 +0200

rtmpdump (2.4+20151223.gitfa8646d.1-1) unstable; urgency=medium

  * Reimport upstream snapshot.
  * debian/get-git-source.sh: Create archive from FETCH_HEAD as intended.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/librtmp-dev.manpages: Install librtmp.3 manpage.
  * debian/rtmp{srv,suck}.1: Provide manpages for rtmpsrv and rtmpsuck.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 27 Apr 2016 12:05:18 +0200

rtmpdump (2.4+20151223.gitfa8646d-1) unstable; urgency=medium

  * New upstream snapshot fixing potential integer overflow.
  * debian/rules:
    - Build with -Wl,--as-needed.
    - Use include files from dpkg-dev for DEB_ variables.
  * debian/control:
    - Bump Standards-Version.
    - Bump Priority to optional.
    - Update Vcs-Browser.
    - Add myself to Uploaders.
    - Remove obsolete Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jan 2016 21:53:02 +0100

rtmpdump (2.4+20150115.gita107cef-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot fixing multiple issues when streaming to YouTube and
    Wowza:
    - Fix RTMP streams with timestamps longer than 24 bits.
    - Fix authentication with Wowza 4.x servers.
  * debian/patches/03_suppress_warning.diff: Suppress warning about 24-bit
    timestamps. Thanks to William King.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Mar 2015 18:27:52 +0200

rtmpdump (2.4+20131018.git79459a2-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Add missing libgmp-dev and zlib1g-dev to Build-Depends. They are pulled
      in indirectly but are used in rtmpdump.
    - Add missing libgnutls28-dev and zlib1g-dev to librtmp-dev's Depends.
      They are needed by the pkg-config file. (Closes: #764133)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Nov 2014 15:54:48 +0100

rtmpdump (2.4+20131018.git79459a2-4) unstable; urgency=medium

  * librtmp-dev: Depend on nettle-dev (Closes: #755314)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Jul 2014 20:27:37 -0400

rtmpdump (2.4+20131018.git79459a2-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * 02_gnutls_requires.private.diff: In pkg-config file move gnutls, hogweed,
    and nettle from Requires to Requires.private. librtmp's headers do not
    expose these libraries.
  * Drop librtmp-dev dependency on libgnutls-dev and nettle-dev.
    Closes: #745216

  [ Reinhard Tartler ]
  * Rebuild against libgnutls28-dev (Closes: #752297)
  * debian/control: Update VCS fields

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Jun 2014 18:02:21 -0400

rtmpdump (2.4+20131018.git79459a2-2) unstable; urgency=low

  * Depends on libgmp-dev and nettle-dev to librtmpdev (Closes: #744242)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 11 Apr 2014 22:08:17 -0400

rtmpdump (2.4+20131018.git79459a2-1) unstable; urgency=low

  * Merge new upstream version (Closes: #731094, #743830)
    - New upstream is claimed to fix segfault: Closes: #656693, #655038
  * Drop suggests on obsolete packages (Closes: #722584)
  * Follow upstream's SONAME bump librtmp0->librtmp1. No API has been changed,
    but is necessary because the layout of the RTMP struct was changed.
  * Compile with hardening enabled
  * Build depend on nettle-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Apr 2014 21:15:22 -0400

rtmpdump (2.4+20121230.gitdf6c518-1) unstable; urgency=low

  [ Reinhard Tartler ]
   * Imported Upstream version 2.4+20111222.git4e06e21
    - upstream supports SOCKS proxys (Closes: #706113)
   * revise package descriptions (Closes: #638664)

  [ Colin Watson ]
  * Use correct toolchain when cross-building (Closes: #695021)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 01 May 2013 12:33:52 +0200

rtmpdump (2.4+20111222.git4e06e21-1) unstable; urgency=low

  * Imported Upstream version 2.4+20111222.git4e06e21
  * revise package descriptions (Closes: #638664)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 08 Jan 2012 12:27:09 +0100

## rtmpdump 2.4%2b20121230.gitdf6c518-1maemo2

=== debian/changelog ===
rtmpdump (2.4+20121230.gitdf6c518-1maemo2) unstable; urgency=low

  * Optification.

 -- Robert Irvin <android_808@hotmail.com>  Sat,  11 Jan 2014 21:10:00 +0000 

rtmpdump (2.4+20121230.gitdf6c518-1maemo1) unstable; urgency=low

  * Merge upstream changes.

 -- Robert Irvin <android_808@hotmail.com>  Mon,  27 May 2013 15:30:08 +0100

rtmpdump (2.4+20111222.git4e06e21-1maemo1) unstable; urgency=low

  * Initial release

 -- Robert Irvin <android_808@hotmail.com>  Sat,  4 May 2013 16:45:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-
-
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -19,6 +16,15 @@
 else
 	CFLAGS += -O2
 endif
+
+# shared library versions, option 1
+version=2.0.5
+major=2
+# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
+#version=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
+#major=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
 
 configure: configure-stamp
 configure-stamp:
@@ -29,13 +35,11 @@
 
 
 build: build-stamp
-
 build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
-	#docbook-to-man debian/rtmpdump.sgml > rtmpdump.1
+	$(MAKE) prefix=/usr
 
 	touch $@
 
@@ -45,7 +49,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean 
 
@@ -55,8 +59,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/rtmpdump.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/rtmpdump install
+	# Add here commands to install the package into debian/tmp
+	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/tmp install
 
 
 # Build architecture-independent files here.
@@ -70,14 +74,13 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-#	dh_install
+	dh_install --sourcedir=debian/tmp
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_python
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
@@ -87,10 +90,12 @@
 	dh_compress
 	dh_fixperms
 #	dh_perl
-#	dh_makeshlibs
+#	dh_python
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## rtmpdump 2.4%2b20121230.gitdf6c518-1maemo3

=== debian/changelog ===
rtmpdump (2.4+20121230.gitdf6c518-1maemo3) unstable; urgency=low

  * Fix broken dependency generation.

 -- Robert Irvin <android_808@hotmail.com>  Sat,  18 Jan 2014 21:14:00 +0000 

=== debian/control ===
Source: rtmpdump
Section: user/multimedia
Priority: extra
Maintainer: Robert Irvin <android_808@hotmail.com>
Build-Depends: debhelper (>= 5), libssl-dev
Standards-Version: 3.7.2

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, mplayer
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
XSBC-Maemo-Display-Name: rtmpdump
XB-Maemo-Icon-26:  
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBGQs5EHBm1nMAAAbXSURBVFjD7VldiF1XFf7W2uec+zeTmXTyQ0Yw
 hZEq1aQJQiiUioLUagUpkr6kRWrRB30v+KzgiyL+oA8mpYK2lVoICAqilVis
 ltbaKgmxtW3GRDOTTGh+5t6Z2Xv9+LDPvXPnTsCk+UWyH87d93Lv3t/51vet
 tfa55O64mQbjJhu3AN0CdKWjcHciilGAG2M3dxCRqrRaTXcv8pvDh99JSQC6
 /oCIqNtdPHVqbu/eTxNxAeD06dMpRXdyR1WV1zMxEUHVZmePmenCwsLmzVsK
 AGauakR84MAPn3nmyRACEQEAoZ7U5F6tGPlgoqr79j22Z8897mbmAIoM00wB
 lGU5Pr6hKAoOTETMlCklwB1+xZjcPUs2T8xMRIqiNDPAalHnFzNzh5mHEMqq
 ZGZmcAi6UnMUmm7qMHKA/D2KLXOT0fQ3dXdXNcDyRjUgVQPczNTUVJlBzOVk
 d9/TKXZpcR7PPdxqjgWzPt9+RSrOUMxMVfOVaJQhdSeHBWYuKBShqGh6N6UL
 rJGk59O7cP44a4LbVRDTABMzZ2CDRXnAkKq6OwcOIXDAPY8vffQLZpHZaWIb
 f/LrsRyLzERElK9XMHhoZGmbrWGI3M0MpqYqquF9d69MzogFpBXERZ8/YtO7
 WRkpBc9R86vgtSxqVTMz7peMop8MVBXmRszE2Hi7lw2C04nX7A/fgkmxvCit
 Dlotsixn6mNyMkGo3ktbldlyz8HJi65xmbs7E4VAHIiJHehMhInbWi5sG1wV
 sDoL1JiA1pTd/nE58mzFl1kVzawPKLusXndVQyKqSUVlZVnO/CvFpKK66cP6
 iW8sbvrIMkoxkySSYionIorUmIqiqbUptaakcVssJyLKhCJVk7GajIaEIlUb
 Y7khiqSUUoqpmojcSI2NsRiPaiJJVFVEzTQnwjUuM3ODkxMxvXOINt2hOz5X
 xh7Gt/i9j6dTh/WlH5Xd+ZAW/YHvLc2+EFzptZ8UH7jPxqf9Q5+1lUUKlU1s
 t+5Jbk156sIB6dHEdjt2KLz9fKERe5/qHf1lkXpUtv3Mm/TGr4m0ZmjA+2rI
 srhARCBG85X9y7MvLX/sq83OFFvC1jux6xF54ZscCtaIN35VnjvGXOBvPyvv
 +Iy8+kQFYPejcfZQefzFAMKDT/Z++7XW+RNUdvz+by+/9ZuSGUtn6ejB8vwJ
 rsb8rkdic5JkIQNSIh62PdW2N0tJUhRTg5Vzrzaeemzp6PPRyGLU7ffKUm8l
 SSLG/BFTTyklNTE30SSaHHbqHyqaeucEwPxRVU8XTmnZ8RQlJZFlzB810dQ7
 K2nJETQlyZ53tzV5yEzNzMyIiZlcmaxoNhtjrfG/Px2KipgIRsTgrF53NRUV
 VTW1lERE8rrunosg99MVgDp1Map2zmNMgeC1y3LGzjbhQQ8goubOICK688F4
 91dkaoYI5a6HChdicFHwoPwnEVNzc1NvbIApUg+gHHrNOYA5J8C6QjNTc9J3
 7FVPtHWHtTZ66jJR7jXWidpdzVRVRYUTo9SZT9nM/YkImpAEoaC/PhfNyxS9
 exrUt+nSWaws+sPPencB//wdXOHuIql7GiIJCSLoLkA0wREXCUE//1N5d5Ze
 /C4tXZAsFVVjptHimu+MiCjgzNt2/GVqbKDNMwGO5Xftzd/H13+OshmI/Rdf
 RNWpK75G/9P36Y/fARihABcAednBwS8XVQfuqDo4+KWy0fHYJV3RP/+geGU/
 iBEqJ9J+HtIQ1rnMTHO1Y8KJl+k/r+vENnrox0XqYeUc/eUJbrYqosItlW0M
 +g8iKpqjPTIcVWegHzTG8hdRtlE2qRqrv+ZaJ8ZhUQ/b3lVUkhCIi4AY4gU7
 e1LSElaW4FKowJH8f5WxvIeIjJ5vGjhwH1ftlBKGNs0uU1VeU1xVVVVyyAAQ
 mIjOzcn+BxIRQDS+sQnQpXSNddzpIi1c1a6pyqAHdV1VzcKa4mqWecvKIDjB
 qVE2Gpsa66vhoMOmfKmvq1B4INFLKq6eu7SR4iqZJFVdhT+ypq/W1IHLgJw/
 6l8MmuVLrK+6OsKIy1zVhs8DvL58X/yeaf19X+7Zw/0iolZVMfPhvu5yT1iX
 26DlXXJiVLX1tq8JBMDMOXbX7Pjsa0Nmoy1s/niYxtU+7KrCylsMuQz9nlpH
 XGbDMEeOUVcL03CfO5j3ebLRFjbLKKU0CNa1Dtmgz7+IqHMYt2yZ3rlzz1Cw
 ruEjmAGyrVunRVR17ckVoLm5k0Rh27b3X/8nRClFs8YqQ8w8N/fvubmTzHxp
 Ke1ajKGQpSS7d39wx46ZG/gkryyrGFMNqN1u79x5l904cnKU2u02AMoHtpvk
 iae7062/Fm4B+n8D9F8CoFTfIuoyYgAAAABJRU5ErkJggg==
XB-Maemo-Upgrade-Description: New upstream release

Package: librtmp0
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: devel
Depends: libssl-dev, librtmp0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+
+
 
 CFLAGS = -Wall -g
 
@@ -39,7 +42,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) prefix=/usr
+	$(MAKE)
 
 	touch $@
 
@@ -49,7 +52,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) clean
+	-$(MAKE) clean
 
 	dh_clean 
 
@@ -95,7 +98,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
 	dh_md5sums
 	dh_builddeb

## rtmpdump 2.4+20111222.git4e06e21

=== debian/changelog ===
rtmpdump (2.4+20111222.git4e06e21-1ubuntu1) raring; urgency=low

  * Use correct toolchain when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2012 12:33:43 +0000

## rtmpdump 2.4+20121230.gitdf6c518

=== Makefile ===
VERSION=v2.4

prefix=/usr/local

CC=$(CROSS_COMPILE)gcc
LD=$(CROSS_COMPILE)ld

SYS=posix
#SYS=mingw

CRYPTO=OPENSSL
#CRYPTO=POLARSSL
#CRYPTO=GNUTLS
LIBZ=-lz
LIB_GNUTLS=-lgnutls -lgcrypt $(LIBZ)
LIB_OPENSSL=-lssl -lcrypto $(LIBZ)
LIB_POLARSSL=-lpolarssl $(LIBZ)
CRYPTO_LIB=$(LIB_$(CRYPTO))
DEF_=-DNO_CRYPTO
CRYPTO_DEF=$(DEF_$(CRYPTO))

DEF=-DRTMPDUMP_VERSION=\"$(VERSION)\" $(CRYPTO_DEF) $(XDEF)
OPT=-O2
CFLAGS=-Wall $(XCFLAGS) $(INC) $(DEF) $(OPT)
LDFLAGS=-Wall $(XLDFLAGS)

bindir=$(prefix)/bin
sbindir=$(prefix)/sbin
mandir=$(prefix)/man

BINDIR=$(DESTDIR)$(bindir)
SBINDIR=$(DESTDIR)$(sbindir)
MANDIR=$(DESTDIR)$(mandir)

LIBS_posix=
LIBS_darwin=
LIBS_mingw=-lws2_32 -lwinmm -lgdi32
LIB_RTMP=-Llibrtmp -lrtmp
LIBS=$(LIB_RTMP) $(CRYPTO_LIB) $(LIBS_$(SYS)) $(XLIBS)

THREADLIB_posix=-lpthread
THREADLIB_darwin=-lpthread
THREADLIB_mingw=
THREADLIB=$(THREADLIB_$(SYS))
SLIBS=$(THREADLIB) $(LIBS)

LIBRTMP=librtmp/librtmp.a
INCRTMP=librtmp/rtmp_sys.h librtmp/rtmp.h librtmp/log.h librtmp/amf.h

EXT_posix=
EXT_darwin=
EXT_mingw=.exe
EXT=$(EXT_$(SYS))

PROGS=rtmpdump rtmpgw rtmpsrv rtmpsuck

all:	$(LIBRTMP) $(PROGS)

$(PROGS): $(LIBRTMP)

install:	$(PROGS)
	-mkdir -p $(BINDIR) $(SBINDIR) $(MANDIR)/man1 $(MANDIR)/man8
	cp rtmpdump$(EXT) $(BINDIR)
	cp rtmpgw$(EXT) rtmpsrv$(EXT) rtmpsuck$(EXT) $(SBINDIR)
	cp rtmpdump.1 $(MANDIR)/man1
	cp rtmpgw.8 $(MANDIR)/man8
	@cd librtmp; $(MAKE) install

clean:
	rm -f *.o rtmpdump$(EXT) rtmpgw$(EXT) rtmpsrv$(EXT) rtmpsuck$(EXT)
	@cd librtmp; $(MAKE) clean

FORCE:

$(LIBRTMP): FORCE
	@cd librtmp; $(MAKE) all

rtmpdump: rtmpdump.o
	$(CC) $(LDFLAGS) -o $@$(EXT) $@.o $(LIBS)

rtmpsrv: rtmpsrv.o thread.o
	$(CC) $(LDFLAGS) -o $@$(EXT) $@.o thread.o $(SLIBS)

rtmpsuck: rtmpsuck.o thread.o
	$(CC) $(LDFLAGS) -o $@$(EXT) $@.o thread.o $(SLIBS)

rtmpgw: rtmpgw.o thread.o
	$(CC) $(LDFLAGS) -o $@$(EXT) $@.o thread.o $(SLIBS)

rtmpgw.o: rtmpgw.c $(INCRTMP) Makefile
rtmpdump.o: rtmpdump.c $(INCRTMP) Makefile
rtmpsrv.o: rtmpsrv.c $(INCRTMP) Makefile
rtmpsuck.o: rtmpsuck.c $(INCRTMP) Makefile
thread.o: thread.c thread.h

=== debian/changelog ===
rtmpdump (2.4+20121230.gitdf6c518-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service in AMF3ReadString function
    - debian/patches/CVE-2015-8270.patch: init str on unsupported
      references in librtmp/amf.c.
    - CVE-2015-8270
  * SECURITY UPDATE: arbitrary code execution in AMF3CD_AddProp function
    - debian/patches/CVE-2015-8271-1.patch: check for input buffer underrun
      in librtmp/amf.c.
    - debian/patches/CVE-2015-8271-2.patch: more input buffer checks in
      librtmp/amf.c.
    - CVE-2015-8271
  * SECURITY UPDATE: denial of service via null pointer dereference
    - debian/patches/CVE-2015-8272.patch: ignore requests without playpath
      in rtmpsrv.c.
    - CVE-2015-8272

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 May 2017 08:01:27 -0400

=== debian/control ===
Source: rtmpdump
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Sebastian Dröge <slomo@debian.org>
Build-Depends:
 debhelper (>= 8.1.3),
 libgnutls-dev (>= 2.4.1)
Standards-Version: 3.9.2
Section: web
Vcs-Git: git://git.debian.org/git/pkg-multimedia/rtmpdump.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rtmpdump.git;a=summary
Homepage: http://rtmpdump.mplayerhq.hu/

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, mplayer
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.

Package: librtmp0
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: libdevel
Depends: libgnutls-dev, librtmp0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.

## rtmpdump 2.4+20131018.git79459a2

=== debian/control ===
Source: rtmpdump
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 9~), libgnutls28-dev (>= 2.4.1), nettle-dev
Standards-Version: 3.9.5
Section: web
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmpdump.git;a=summary
Homepage: http://rtmpdump.mplayerhq.hu/

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.

Package: librtmp1
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: libdevel
Depends: librtmp1 (= ${binary:Version}), ${misc:Depends}, libgmp-dev, nettle-dev
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.

## rtmpdump 2.4+20150115.gita107cef

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 9~), libgnutls28-dev (>= 2.4.1), nettle-dev
+Build-Depends:
+ debhelper (>= 9~),
+ libgmp-dev,
+ libgnutls28-dev (>= 2.4.1),
+ nettle-dev,
+ zlib1g-dev
 Standards-Version: 3.9.5
 Section: web
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
@@ -34,7 +39,13 @@
 
 Package: librtmp-dev
 Section: libdevel
-Depends: librtmp1 (= ${binary:Version}), ${misc:Depends}, libgmp-dev, nettle-dev
+Depends:
+ librtmp1 (= ${binary:Version}),
+ ${misc:Depends},
+ libgmp-dev,
+ libgnutls28-dev,
+ nettle-dev,
+ zlib1g-dev
 Architecture: any
 Multi-Arch: same
 Description: toolkit for RTMP streams (development files)

## rtmpdump 2.4+20151223.gitfa8646d

=== debian/changelog ===
rtmpdump (2.4+20151223.gitfa8646d-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service in AMF3ReadString function
    - debian/patches/CVE-2015-8270.patch: init str on unsupported
      references in librtmp/amf.c.
    - CVE-2015-8270
  * SECURITY UPDATE: arbitrary code execution in AMF3CD_AddProp function
    - debian/patches/CVE-2015-8271-1.patch: check for input buffer underrun
      in librtmp/amf.c.
    - debian/patches/CVE-2015-8271-2.patch: more input buffer checks in
      librtmp/amf.c.
    - CVE-2015-8271
  * SECURITY UPDATE: denial of service via null pointer dereference
    - debian/patches/CVE-2015-8272.patch: ignore requests without playpath
      in rtmpsrv.c.
    - CVE-2015-8272

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 May 2017 07:55:16 -0400

rtmpdump (2.4+20151223.gitfa8646d-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: rtmpdump
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
-           Sebastian Dröge <slomo@debian.org>
+           Sebastian Dröge <slomo@debian.org>,
+           Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 9),
  libgmp-dev,
  libgnutls28-dev (>= 2.4.1),
  nettle-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: web
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmpdump.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/rtmpdump.git
 Homepage: http://rtmpdump.mplayerhq.hu/
 
 Package: rtmpdump
@@ -26,7 +28,6 @@
 Package: librtmp1
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Multi-Arch: same
 Description: toolkit for RTMP streams (shared library)

## rtmpdump 2.4+20151223.gitfa8646d.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #CRYPTO=POLARSSL
 #CRYPTO=GNUTLS
 LIBZ=-lz
-LIB_GNUTLS=-lgnutls -lgcrypt $(LIBZ)
+LIB_GNUTLS=-lgnutls -lhogweed -lnettle -lgmp $(LIBZ)
 LIB_OPENSSL=-lssl -lcrypto $(LIBZ)
 LIB_POLARSSL=-lpolarssl $(LIBZ)
 CRYPTO_LIB=$(LIB_$(CRYPTO))

=== librtmp/Makefile ===
--- 
+++ 
@@ -22,28 +22,30 @@
 DEF_OPENSSL=-DUSE_OPENSSL
 DEF_GNUTLS=-DUSE_GNUTLS
 DEF_=-DNO_CRYPTO
-REQ_GNUTLS=gnutls
+REQ_GNUTLS=gnutls,hogweed,nettle
 REQ_OPENSSL=libssl,libcrypto
+PUB_GNUTLS=-lgmp
 LIBZ=-lz
 LIBS_posix=
 LIBS_darwin=
 LIBS_mingw=-lws2_32 -lwinmm -lgdi32
-LIB_GNUTLS=-lgnutls -lgcrypt $(LIBZ)
+LIB_GNUTLS=-lgnutls -lhogweed -lnettle -lgmp $(LIBZ)
 LIB_OPENSSL=-lssl -lcrypto $(LIBZ)
 LIB_POLARSSL=-lpolarssl $(LIBZ)
 PRIVATE_LIBS=$(LIBS_$(SYS))
 CRYPTO_LIB=$(LIB_$(CRYPTO)) $(PRIVATE_LIBS)
 CRYPTO_REQ=$(REQ_$(CRYPTO))
 CRYPTO_DEF=$(DEF_$(CRYPTO))
+PUBLIC_LIBS=$(PUB_$(CRYPTO))
 
-SO_VERSION=0
+SO_VERSION=1
 SOX_posix=so
 SOX_darwin=dylib
-SOX_mingw=so	# useless
+SOX_mingw=dll
 SOX=$(SOX_$(SYS))
-SO_posix=$(SOX).$(SO_VERSION)
-SO_darwin=$(SO_VERSION).$(SOX)
-SO_mingw=dll
+SO_posix=.$(SOX).$(SO_VERSION)
+SO_darwin=.$(SO_VERSION).$(SOX)
+SO_mingw=-$(SO_VERSION).$(SOX)
 SO_EXT=$(SO_$(SYS))
 
 SODIR_posix=$(LIBDIR)
@@ -52,14 +54,19 @@
 SODIR=$(SODIR_$(SYS))
 
 SO_LDFLAGS_posix=-shared -Wl,-soname,$@
-SO_LDFLAGS_darwin=-dynamiclib -flat_namespace -undefined suppress -fno-common \
-	-headerpad_max_install_names
-SO_LDFLAGS_mingw=-shared
+SO_LDFLAGS_darwin=-dynamiclib -twolevel_namespace -undefined dynamic_lookup \
+	-fno-common -headerpad_max_install_names -install_name $(libdir)/$@
+SO_LDFLAGS_mingw=-shared -Wl,--out-implib,librtmp.dll.a
 SO_LDFLAGS=$(SO_LDFLAGS_$(SYS))
+
+INSTALL_IMPLIB_posix=
+INSTALL_IMPLIB_darwin=
+INSTALL_IMPLIB_mingw=cp librtmp.dll.a $(LIBDIR)
+INSTALL_IMPLIB=$(INSTALL_IMPLIB_$(SYS))
 
 SHARED=yes
 SODEF_yes=-fPIC
-SOLIB_yes=librtmp.$(SO_EXT)
+SOLIB_yes=librtmp$(SO_EXT)
 SOINST_yes=install_so
 SO_DEF=$(SODEF_$(SHARED))
 SO_LIB=$(SOLIB_$(SHARED))
@@ -76,12 +83,12 @@
 all:	librtmp.a $(SO_LIB)
 
 clean:
-	rm -f *.o *.a *.$(SOX) *.$(SO_EXT)
+	rm -f *.o *.a *.$(SOX) *$(SO_EXT) librtmp.pc
 
 librtmp.a: $(OBJS)
 	$(AR) rs $@ $?
 
-librtmp.$(SO_EXT): $(OBJS)
+librtmp$(SO_EXT): $(OBJS)
 	$(CC) $(SO_LDFLAGS) $(LDFLAGS) -o $@ $^ $> $(CRYPTO_LIB)
 	ln -sf $@ librtmp.$(SOX)
 
@@ -95,18 +102,20 @@
 	sed -e "s;@prefix@;$(prefix);" -e "s;@libdir@;$(libdir);" \
 		-e "s;@VERSION@;$(VERSION);" \
 		-e "s;@CRYPTO_REQ@;$(CRYPTO_REQ);" \
+		-e "s;@PUBLIC_LIBS@;$(PUBLIC_LIBS);" \
 		-e "s;@PRIVATE_LIBS@;$(PRIVATE_LIBS);" librtmp.pc.in > $@
 
 install:	install_base $(SO_INST)
 
 install_base:	librtmp.a librtmp.pc
-	-mkdir -p $(INCDIR) $(LIBDIR)/pkgconfig $(MANDIR)/man3
+	-mkdir -p $(INCDIR) $(LIBDIR)/pkgconfig $(MANDIR)/man3 $(SODIR)
 	cp amf.h http.h log.h rtmp.h $(INCDIR)
 	cp librtmp.a $(LIBDIR)
 	cp librtmp.pc $(LIBDIR)/pkgconfig
 	cp librtmp.3 $(MANDIR)/man3
 
-install_so:	librtmp.$(SO_EXT)
-	cp librtmp.$(SO_EXT) $(SODIR)
-	cd $(SODIR); ln -sf librtmp.$(SO_EXT) librtmp.$(SOX)
+install_so:	librtmp$(SO_EXT)
+	cp librtmp$(SO_EXT) $(SODIR)
+	$(INSTALL_IMPLIB)
+	cd $(SODIR); ln -sf librtmp$(SO_EXT) librtmp.$(SOX)

=== debian/changelog ===
rtmpdump (2.4+20151223.gitfa8646d.1-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.

  [ root ]
  * Remove constraints unnecessary since buster

  [ Dylan Aïssi ]
  * debian/copyright: Convert to machine-readable format
  * debian/control: switch to debhelper-compat 13
  * Fix installation of manpages for compat 13
  * debian/watch: switch to format 4
  * debian/control: Standards-Version: 4.7.2 (no changes required)
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 Aug 2025 22:48:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: rtmpdump
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>,
-           Sebastian Dröge <slomo@debian.org>,
-           Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Reinhard Tartler <siretart@tauware.de>,
+ Sebastian Dröge <slomo@debian.org>,
+ Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  libgmp-dev,
- libgnutls28-dev (>= 2.4.1),
+ libgnutls28-dev,
  nettle-dev,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.7.2
 Section: web
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/rtmpdump.git
-Homepage: http://rtmpdump.mplayerhq.hu/
+Vcs-Git: https://salsa.debian.org/multimedia-team/rtmpdump.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rtmpdump
+Homepage: https://rtmpdump.mplayerhq.hu/
 
 Package: rtmpdump
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

MAKEVARS= \
	prefix=/usr \
	CRYPTO=GNUTLS \
	libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	XCFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	XLDFLAGS="$(LDFLAGS)"

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	MAKEVARS += CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
endif

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- $(MAKEVARS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEVARS)

get-orig-source:
	debian/get-git-source.sh

=== debian/watch ===
version=4
https://rtmpdump.mplayerhq.hu/download/rtmpdump-(.*)\.(?:tgz|tar\.gz)
